RestartOnChange (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.configuration
Class RestartOnChange

    java.lang.Object
      org.neo4j.kernel.configuration.RestartOnChange

All Implemented Interfaces:
  ConfigurationChangeListener

    public class RestartOnChange

extends Object
implements ConfigurationChangeListener

When a specified change happens, restart the given LifeSupport instance. Typically, provide a specification for the settings that a service uses, and then set it to restart an internal LifeSupport instance when any of those settings change.

Constructor Summary
`RestartOnChange(Class<?> settingsClass, Lifecycle life)`
`RestartOnChange(Specification<String> restartSpecification, Lifecycle life)`
`RestartOnChange(String configurationNamePrefix, Lifecycle life)`

Method Summary
`void` | `notifyConfigurationChanges(Iterable<ConfigurationChange> change)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestartOnChange

    public RestartOnChange(Class<?> settingsClass,
                           Lifecycle life)

### RestartOnChange

    public RestartOnChange(String configurationNamePrefix,
                           Lifecycle life)

### RestartOnChange

    public RestartOnChange(Specification<String> restartSpecification,
                           Lifecycle life)

Method Detail

### notifyConfigurationChanges

    public void notifyConfigurationChanges(Iterable<ConfigurationChange> change)

  Specified by:
    `notifyConfigurationChanges` in interface `ConfigurationChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.